// Copyright 2000-2005 the Contributors, as shown in the revision logs.
// Licensed under the Apache Public Source License 2.0 ("the License").
// You may not use this file except in compliance with the License.

package org.ibex.mail;
import java.net.*;
import java.io.*;

public class MailException extends RuntimeException {
    public MailException() { }
    public MailException(String s) { super(s); }
    public static class MailboxFull extends MailException { }
    public static class MetadataNotSupported extends MailException { public MetadataNotSupported(String s) { super(s); } }
    public static class Malformed extends MailException { public Malformed(String s) { super(s); } }
    public static class RelayingDenied extends MailException { }
    public static class IOException extends MailException { public IOException(java.io.IOException ioe) { initCause(ioe); } }
}
